[blfs-book] r12037 - in trunk: BOOK bootscripts bootscripts/blfs/init.d

igor at higgs.linuxfromscratch.org igor at higgs.linuxfromscratch.org
Wed Oct 23 07:06:01 PDT 2013


Author: igor
Date: Wed Oct 23 07:06:01 2013
New Revision: 12037

Log:
add dovecot init script

Added:
   trunk/bootscripts/blfs/init.d/dovecot
Modified:
   trunk/BOOK/general.ent
   trunk/bootscripts/ChangeLog
   trunk/bootscripts/Makefile

Modified: trunk/BOOK/general.ent
==============================================================================
--- trunk/BOOK/general.ent	Wed Oct 23 06:36:47 2013	(r12036)
+++ trunk/BOOK/general.ent	Wed Oct 23 07:06:01 2013	(r12037)
@@ -6,7 +6,7 @@
 <!ENTITY copyrightdate "2001-&year;">
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "October 23, &year;">
+<!ENTITY releasedate  "October 23rd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
 <!ENTITY lfs-version  "development">          <!-- version|testing|unstable|development] -->
@@ -68,7 +68,7 @@
 <!ENTITY lfs-vim-version              "7.4">
 <!-- End LFS versions -->
 
-<!ENTITY blfs-bootscripts-version     "20130908">
+<!ENTITY blfs-bootscripts-version     "20131023">
 <!ENTITY blfs-bootscripts-download    "&downloads-root;/blfs-bootscripts-&blfs-bootscripts-version;.tar.bz2">
 
 <!ENTITY blfs-wiki                    "http://wiki.&lfs-domainname;/blfs/wiki">

Modified: trunk/bootscripts/ChangeLog
==============================================================================
--- trunk/bootscripts/ChangeLog	Wed Oct 23 06:36:47 2013	(r12036)
+++ trunk/bootscripts/ChangeLog	Wed Oct 23 07:06:01 2013	(r12037)
@@ -1,3 +1,6 @@
+2013-10-23 Igor Živković <contact at igor-zivkovic.from.hr>
+   * Add dovecot init script
+
 2013-09-08 Bruce Dubbs <bdubbs at linuxfromscratch.org>
    * Update location of autostart in autofs script
 

Modified: trunk/bootscripts/Makefile
==============================================================================
--- trunk/bootscripts/Makefile	Wed Oct 23 06:36:47 2013	(r12036)
+++ trunk/bootscripts/Makefile	Wed Oct 23 07:06:01 2013	(r12037)
@@ -151,6 +151,16 @@
 	ln -sf  ../init.d/dbus ${EXTDIR}/rc.d/rc5.d/S29dbus
 	ln -sf  ../init.d/dbus ${EXTDIR}/rc.d/rc6.d/K30dbus
 
+install-dovecot: create-dirs
+	install -m ${MODE} blfs/init.d/dovecot       ${EXTDIR}/rc.d/init.d/
+	ln -sf  ../init.d/dovecot ${EXTDIR}/rc.d/rc0.d/K78dovecot
+	ln -sf  ../init.d/dovecot ${EXTDIR}/rc.d/rc1.d/K78dovecot
+	ln -sf  ../init.d/dovecot ${EXTDIR}/rc.d/rc2.d/K78dovecot
+	ln -sf  ../init.d/dovecot ${EXTDIR}/rc.d/rc3.d/S27dovecot
+	ln -sf  ../init.d/dovecot ${EXTDIR}/rc.d/rc4.d/S27dovecot
+	ln -sf  ../init.d/dovecot ${EXTDIR}/rc.d/rc5.d/S27dovecot
+	ln -sf  ../init.d/dovecot ${EXTDIR}/rc.d/rc6.d/K78dovecot
+
 install-wicd: create-dirs
 	install -m ${MODE} blfs/init.d/wicd ${EXTDIR}/rc.d/init.d/
 	ln -sf  ../init.d/wicd ${EXTDIR}/rc.d/rc0.d/K20wicd
@@ -617,6 +627,16 @@
 	rm -f ${EXTDIR}/rc.d/rc5.d/S30dhcpd
 	rm -f ${EXTDIR}/rc.d/rc6.d/K30dhcpd
 
+uninstall-dovecot:
+	rm -f ${EXTDIR}/rc.d/init.d/dovecot
+	rm -f ${EXTDIR}/rc.d/rc0.d/K78dovecot
+	rm -f ${EXTDIR}/rc.d/rc1.d/K78dovecot
+	rm -f ${EXTDIR}/rc.d/rc2.d/K78dovecot
+	rm -f ${EXTDIR}/rc.d/rc3.d/S27dovecot
+	rm -f ${EXTDIR}/rc.d/rc4.d/S27dovecot
+	rm -f ${EXTDIR}/rc.d/rc5.d/S27dovecot
+	rm -f ${EXTDIR}/rc.d/rc6.d/K78dovecot
+
 uninstall-exim:
 	rm -f ${EXTDIR}/rc.d/init.d/exim
 	rm -f ${EXTDIR}/rc.d/rc0.d/K25exim

Added: trunk/bootscripts/blfs/init.d/dovecot
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/bootscripts/blfs/init.d/dovecot	Wed Oct 23 07:06:01 2013	(r12037)
@@ -0,0 +1,64 @@
+#!/bin/sh
+########################################################################
+# Begin dovecot
+#
+# Description : Dovecot server init script
+#
+# Author      : Igor Živković <contact at igor-zivkovic.from.hr>
+#
+# Version     : BLFS SVN
+#
+########################################################################
+
+
+### BEGIN INIT INFO
+# Provides:          dovecot
+# Required-Start:    $network $remote_fs $syslog
+# Required-Stop:     $network $remote_fs $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Dovecot init script
+# X-LFS-Provided-By: BLFS
+### END INIT INFO
+
+. /lib/lsb/init-functions
+
+#$LastChangedBy$
+#$Date$
+
+case "$1" in
+   start)
+      log_info_msg "Starting Dovecot server..."
+      start_daemon /usr/sbin/dovecot
+      evaluate_retval
+      ;;
+
+   stop)
+      log_info_msg "Stopping Dovecot server..."
+      killproc -p "/run/dovecot/master.pid" /usr/sbin/dovecot
+      evaluate_retval
+      ;;
+
+   reload)
+      log_info_msg "Reloading Dovecot server..."
+      killproc -p "/run/dovecot/master.pid" /usr/sbin/dovecot -HUP
+      evaluate_retval
+      ;;
+
+   restart)
+      $0 stop
+      sleep 1
+      $0 start
+      ;;
+
+   status)
+      statusproc /usr/sbin/dovecot
+      ;;
+
+   *)
+      echo "Usage: $0 {start|stop|reload|restart|status}"
+      exit 1
+      ;;
+esac
+
+# End dovecot



More information about the blfs-book mailing list